$new = ""
$old = Get-ItemPropertyValue -Path "HKCU:\Environment" -Name "Path"
"[OldPath]  " + $old + "`n"
If($old -eq ""){
    "Adding CUDA bin Path"
    "Adding CUDA libnvvp Path"
    $new = "C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\bin;C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\libnvvp"
    Set-ItemProperty -Path "HKCU:\Environment" -Name "Path" -Value $new
    "`n[NewPath]  " + $new
}
ElseIf(($old.Contains("C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\bin")) -and ($old.Contains("C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\libnvvp"))){
    "NOT NEED adding CUDA Path"
}
Else{
    $cuda = ""
    If(!($old.Contains("C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\bin"))){
        $cuda = ";C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\bin"
        "Adding CUDA bin Path"
    }
    If(!($old.Contains("C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\libnvvp"))){
        $cuda = $cuda + ";C:\Program Files\NVIDIA GPU Computing Toolkit\CUDA\v11.1\libnvvp"
        "Adding CUDA libnvvp Path"
    }
    $new = $old + $cuda
    Set-ItemProperty -Path "HKCU:\Environment" -Name "Path" -Value $new
    "`n[NewPath]  " + $new
}

